Package org.apache.calcite.avatica.util

# Interface AbstractCursor.Getter

All Known Implementing Classes:
  `AbstractCursor.AbstractGetter`, `AbstractCursor.SlotGetter`, `AbstractCursor.StructGetter`, `PositionedCursor.ArrayGetter`, `PositionedCursor.FieldGetter`, `PositionedCursor.ListGetter`, `PositionedCursor.MapGetter`, `PositionedCursor.ObjectGetter`

Enclosing class:
  AbstractCursor

protected static interface AbstractCursor.Getter
Gets a value from a particular field of the current record of this cursor.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
`boolean`
`wasNull()`

## Method Details

### getObject

Object getObject() throws SQLException

Throws:
  `SQLException`

### wasNull

boolean wasNull() throws SQLException

Throws:
  `SQLException`